Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::gemm::WmmaGemmGlobalIteratorCd< TileTraits_, Index_ >::Params Struct Reference

The params.

`#include <wmma_gemm_global_tile.h>`

Inheritance diagram for cutlass::gemm::WmmaGemmGlobalIteratorCd< TileTraits_, Index_ >::Params:

## Public Member Functions
CUTLASS_HOST_DEVICE int | initialize (Pointer pointer, long long batch_stride, Index ldm, Index n, Index epilogue_stride_w, Index epilogue_delta_w)
| Setup the params. More...
Public Member Functions inherited from cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params
CUTLASS_HOST_DEVICE int | initialize (Pointer pointer, int stride_d_, Index ldm, Index bound, Index epilogue_stride_w, Index epilogue_delta_w)
| Setup the params. More...
CUTLASS_HOST_DEVICE int | initialize (Pointer pointer, long long _stride_d, Index _stride_h, Index _inc_advance, Index _inc_h, Index _predicate_inc_advance, Index _predicate_inc_h, Index _predicate_offset)

## Additional Inherited Members
Public Attributes inherited from cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params
Pointer | pointer
| The pointer. More...
long long | stride_d
| The stride in the D dimension. More...
Index | stride_h
| The stride in the H dimension to setup the thread in the block. More...
Index | inc_advance
| The strides to increment the pointer. More...
Index | inc_h
Index | predicate_inc_advance
| The strides to increment the predicate offset. More...
Index | predicate_inc_h
Index | predicate_offset
| The column offset to compute the predicate for the columns. More...

## Member Function Documentation

## ◆ initialize()

template<typename TileTraits_ , typename Index_ = int>

CUTLASS_HOST_DEVICE int cutlass::gemm::WmmaGemmGlobalIteratorCd< TileTraits_, Index_ >::Params::initialize | ( | Pointer | pointer,
|  | long long | batch_stride,
|  | Index | ldm,
|  | Index | n,
|  | Index | epilogue_stride_w,
|  | Index | epilogue_delta_w
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- wmma_gemm_global_tile.h